Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnPositions.TABLE_PRIVILEGES

Enclosing interface:
  JDBCColumnPositions

    public static interface JDBCColumnPositions.TABLE_PRIVILEGES

This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData. The class also has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getElements method on `Metadata object`.

Field Summary
`static int` | `GRANTEE` Position of Grantee column in server's results object returned by getGroupEntitlements method in User API
`static int` | `GRANTOR` Position of Grantor column in server's results object returned by getGroupEntitlements method in User API
`static int` | `GROUP_NAME` Position of GroupName column in server's results object returned by getGroupEntitlements method in User API
`static int` | `IS_GRANTABLE` Position of the column containing privilage grantable info.
`static int` | `MAX_COLUMNS` Number of columns to be read from results returned getGroupEntitlements method.
`static int` | `PERMISSION` Position of Permission column in server's results object returned by getGroupEntitlements method in User API
`static int` | `TABLE_CAT` Position of the column containing catalog name info.
`static int` | `VIRTUAL_DATABASE_NAME` Position of VirtualDatabaseName column in server's results object returned by getGroupEntitlements method in User API
`static int` | `VIRTUAL_DATABASE_VERSION` Position of VirtualDatabaseVersion column in server's results object returned by getElementEntitlements method in User API

Field Detail

### MAX_COLUMNS

    static final int MAX_COLUMNS

  Number of columns to be read from results returned getGroupEntitlements method.

  See Also:
    Constant Field Values

### VIRTUAL_DATABASE_NAME

    static final int VIRTUAL_DATABASE_NAME

  Position of VirtualDatabaseName column in server's results object returned by getGroupEntitlements method in User API

  See Also:
    Constant Field Values

### VIRTUAL_DATABASE_VERSION

    static final int VIRTUAL_DATABASE_VERSION

  Position of VirtualDatabaseVersion column in server's results object returned by getElementEntitlements method in User API

  See Also:
    Constant Field Values

### GROUP_NAME

    static final int GROUP_NAME

  Position of GroupName column in server's results object returned by getGroupEntitlements method in User API

  See Also:
    Constant Field Values

### GRANTOR

    static final int GRANTOR

  Position of Grantor column in server's results object returned by getGroupEntitlements method in User API

  See Also:
    Constant Field Values

### GRANTEE

    static final int GRANTEE

  Position of Grantee column in server's results object returned by getGroupEntitlements method in User API

  See Also:
    Constant Field Values

### PERMISSION

    static final int PERMISSION

  Position of Permission column in server's results object returned by getGroupEntitlements method in User API

  See Also:
    Constant Field Values

### TABLE_CAT

    static final int TABLE_CAT

  Position of the column containing catalog name info.

  See Also:
    Constant Field Values

### IS_GRANTABLE

    static final int IS_GRANTABLE

  Position of the column containing privilage grantable info.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.